Skip to main content
Resource Center/Resource Pool/SSH Key Operations
POSTSSH Key OperationsSince 4.7.21SynchronousAuth Required

AttachSshKeyPairToVmInstance

AttachSshKeyPairToVmInstance

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The VM instance UUID.

  • sshKeyPairUuidStringRequired

    No description provided.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventorySshKeyPairInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • publicKeyStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/ssh-key-pair/{sshKeyPairUuid}/vm-instance/{vmInstanceUuid}

/zstack/ssh-key-pair/{sshKeyPairUuid}/vm-instance/{vmInstanceUuid}

Operation ID

AttachSshKeyPairToVmInstance

Permalink

Request Example

curl -X POST 'http://{host}/zstack/ssh-key-pair/{sshKeyPairUuid}/vm-instance/{vmInstanceUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "03da892de78c34d8b13e210d068caa8a", "name": "ssh-key-pair", "publicKey": "" } }

Change History

This API has no change history records yet.

View all change history